package com.heyu.api.data.dao.vv;
/**
* <p>
* 退款证据表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.heyu.api.data.entity.vv.VvReverseOrderProveEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvReverseOrderProveDao extends BaseMapper<VvReverseOrderProveEntity> {


	VvReverseOrderProveEntity selectVvReverseOrderProveById(@Param("id")Long id);


	Long insertVvReverseOrderProve(VvReverseOrderProveEntity vvReverseOrderProve);


	Long insertOrUpdateVvReverseOrderProve(VvReverseOrderProveEntity vvReverseOrderProve);


	int updateVvReverseOrderProveById(VvReverseOrderProveEntity vvReverseOrderProve);


	int updateCoverVvReverseOrderProveById(VvReverseOrderProveEntity vvReverseOrderProve);


	int deleteVvReverseOrderProveById(@Param("id")Long id);


    List<VvReverseOrderProveEntity> selectVvReverseOrderProveByReverseOrderId(@IN List<Long> reverseOrderId);
}